*,
*::before,
*::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
html {
  font-family: sans-serif;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

#toast-container {
  position: absolute;
  left: 20px;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #B63331 !important;
}

.tooltip {
  width: 60%;
  visibility: hidden;
  background-color: #fff;
  padding: 20px;
  -webkit-box-shadow: 0 0 50px 0 rgba(0, 0, 0, 0.3);
  opacity: 0;
  transition: opacity 0.5s ease;
  position: absolute;
  top: 5em;
  left: 0;
}

#after:hover + .tooltip {
  visibility: visible;
  transition: opacity 0.5s ease;
  opacity: 1;
}

.toast {
  border: 1px solid #eee;
}

textarea {
  resize: vertical !important;
}

#duplicatedTab {
  border-bottom: none !important;
}

/* UPDATE ACCOUNT */
.field-icon {
  float: right;
  margin-left: -25px;
  margin-top: -25px;
  position: relative;
  z-index: 2;
}

/* .modal-content{
  width: 250% !important;
  right: 75% !important;
  padding: 10px !important;
} */

.assignedUsers {
  width: 150% !important;
  right: 28% !important;
  padding: 10px !important;
}

.viewerrors {
  width: 100% !important;
  right: 0% !important;
  padding: 0px !important;
}

/* .customRatePlan {
  width: 236% !important;
  right: 42% !important;
} */

.form-control:disabled, .form-control[readonly] {
  background-color: #ffffff !important;
}

#generate_rate_plan_table td {
  padding: 0 !important;
}

.create_user,
.read_user,
.delete_user,
.update_user {
  visibility: visible !important;
  background-color: #b62930 !important;
}

.notAuthorized {
  visibility: hidden !important;
}

.nav-tabs .nav-link.active,
.nav-tabs .nav-item.show .nav-link {
  color: #ffffff !important;
  background-color: #b62930 !important;
  border-color: #dee2e6 #dee2e6 #fff;
}

.toast-body {
  padding: 2px 10px 2px 10px;
}
#toast-header {
  background-color: #fbfdfe !important;
}
form .error {
  color: #ff0000;
}

meter {
  width: 30%;
  height: 25px;
}
footer,
header,
nav {
  display: block;
}

#did_assignment thead,
#trunks_table thead,
#reseller_table thead,
#other_numbers_table thead,
#did_numbers_table thead,
#reseller_did_numbers_table thead {
  font-size: 14px !important;
}

#other_numbers_table tbody td {
  padding: 1px 10px !important;
}

#trunks_table_wrapper {
  position: relative;
  top: 45px;
}

#did_assignment tbody,
#trunks_table tbody,
#reseller_table tbody,
#other_numbers_table tbody,
#did_numbers_table tbody,
#reseller_did_numbers_table tbody {
  font-size: 13px !important;
}

#numberSearchResults {
  position: relative;
  top: 2rem;
}

#search_result_table td {
  padding: 0px !important;
  font-size: 0.8rem;
}

.comment_data:hover {
  background-color: red !important;
}
.comment_data {
  white-space: nowrap;
  width: 5px;
  overflow: hidden;
  text-overflow: ellipsis;
}
#outbound_routes thead th,
#outbound_routes thead td {
  padding: 10px 5px;
}

.content-width {
  max-width: 98% !important;
}

#outbound_routes thead th {
  font-size: 14px !important;
}

#did_numbers_table_length label,
#did_assignment_numbers_filter {
  margin-top: 20px !important;
}

#did_assignment_numbers_length td {
  cursor: pointer !important;
}

select {
  padding: 0 !important;
}

.datepicker {
  top: 254px !important;
}

.table {
  max-width: 98%;
}

body {
  margin: 0;
  color: #212529;
  background-color: #fff;
}

nav {
  padding: 0 !important;
}

a {
  cursor: pointer;
}
.navbar {
  background-color: #333333;
  z-index: 1;
}

.currentMonthInfo {
  padding-right: 32px;
}

.currentMonthInfoTotal {
  margin-left: -19px;
}

.currentMonthInfoTotalMonth {
  margin-left: 7px;
}

#search_result_table td {
  font-size: 14px !important;
  padding: 0;
}

#search_result_table thead th {
  font-size: 13px !important;
}

#search_transit_result_table td {
  font-size: 11px !important;
  padding: 2px;
}

#search_transit_result_table thead th {
  font-size: 13px !important;
}

table.dataTable tbody td {
  padding: 3px 10px !important;
}

#did_assignment_numbers td {
  cursor: pointer;
}

.input-group-text {
  font-size: 11px !important;
}

thead {
  background-color: #656667;
  color: #fff;
}
.form-group {
  margin-bottom: 5px !important;
}

select.form-control:not([size]):not([multiple]) {
  height: calc(1.9589rem + 2px) !important;
}

.card {
  max-width: 98% !important;
}
#email,
#password {
  height: 35px !important;
}

.form-control {
  line-height: 1 !important;
  font-size: 0.8rem !important;
}

.menu-item {
  padding-left: 15px;
}

.dataTables_filter {
  position: relative;
  bottom: 45px;
}

.type {
  font-size: small;
}

#cdrsTable {
  visibility: hidden;
}

/* .empty-tab{
  visibility: hidden;
} */

#tbl_monthly_datatables,
#tbl_success_datatables,
#tbl_failed_datatables,
#tbl_trunk_datatables {
  position: relative;
  bottom: 50px;
}

#tbl_monthly_datatables_length,
#tbl_success_datatables_length,
#tbl_failed_datatables_length,
#tbl_trunk_datatables_length {
  margin-top: 1%;
}

#sideNav {
  position: absolute;
  overflow-x: hidden;
  left: 0px;
  transition: 0.3s;
  padding-left: 22px;
  padding-top: 50px;
  width: 4vw;
  text-decoration: none;
  font-size: 20px;
  background-color: #2c2c2c;
  color: #fff;
  height: 84%;
  z-index: 1;
  border-radius: 0;
  font-size: inherit;
  white-space: nowrap;
}

#graphs {
  position: absolute;
  overflow-x: hidden;
  right: 0px;
  top: 0px;
  transition: 0.3s;
  width: 80px;
  text-decoration: none;
  font-size: 20px;
  background-color: #000;
  color: #fff;
  height: 100%;
  z-index: 0;
  border-radius: 0;
  font-size: inherit;
  white-space: nowrap;
  opacity: 0.7;
}

#report-btn {
  position: relative;
  top: 45vh;
}

#reports {
  margin-left: 5vw;
}

#btn-graph:focus {
  outline: none !important;
}

#btn-graph {
  margin-top: 35vh;
  background-color: transparent !important;
  border-color: transparent;
}

.col-md-1 {
  padding-top: 40vh;
}

.dropdown-menu {
  border-radius: 0 !important;
}

#nav-month-tab {
  display: none;
}

#trunk_voip_tbl,
#suc_voip_tbl,
#fail_voip_tbl {
  width: 90vw !important;
}

/* #nav-success-tab, #nav-fail-tab, #nav-month-tab{
  visibility: hidden;
} */

#sideNav {
  text-overflow: clip;
}

/* #sideNav:hover {
  width: 15vw !important;
} */

.dropdown-item {
  cursor: pointer;
  color: #b62931;
}

.results {
  color: #b62931 !important;
}

#main {
  transition: margin-left 0.5s;
}

#content-wrapper {
  margin: 0 5%;
}

[type="search"] {
  outline-offset: -2px;
  -webkit-appearance: button !important;
}

.btn-danger {
  background-color: #b62930 !important;
  border: none !important;
}

.btn-outline-danger {
  color: #b62930;
}

.btn-danger,
.btn-info,
.btn-outline-danger {
  font-size: 12px !important;
}
/* 
#subcontainer{
	height:80vh;
	overflow:scroll;
} */

#subcontainer {
  width: 96vw;
  height: 80vh;
  overflow: scroll;
  overflow-x: hidden;
}

.sub {
  padding-right: 0 !important;
}

.breadcrumb {
  background-color: #2c2c2c;
  color: #fff;
  border-radius: 0;
  border-top-left-radius: 5px;
}

.nav-tabs > a.active {
  background-color: #b62930 !important;
  color: #ffffff !important;
}

#mis-logo {
  height: 7vh;
}

#button {
  display: block;
  margin: 20px auto;
  padding: 10px 30px;
  background-color: #eee;
  border: solid #ccc 1px;
  cursor: pointer;
}
#overlay {
  position: fixed;
  top: 0;
  z-index: 100;
  width: 100%;
  height: 100%;
  display: none;
  background: rgba(0, 0, 0, 0.6);
}
.cv-spinner {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.spinner {
  width: 40px;
  height: 40px;
  border: 4px #ddd solid;
  border-top: 4px #b62930 solid;
  border-radius: 50%;
  animation: sp-anime 0.8s infinite linear;
}

#element-spinner {
  z-index: 100;
  width: 100%;
  height: 100%;
  display: none;
  background: rgba(0, 0, 0, 0.6);
}

#download-cdrs {
  background-color: #fff;
  margin-top: 50px;
  text-align: center;
}

#tbl_resellers_length,
#tbl_resellers_clients_length {
  margin-top: 1% !important;
}

#tbl_resellers {
  position: relative;
  top: -43px;
  margin-bottom: -40px !important;
}

#tbl_resellers_clients,
#tbl_resellers_clients_info,
#tbl_resellers_clients_paginate {
  position: relative;
  bottom: 5vh;
}

#tbl_monthly_datatables_info {
  position: relative;
  bottom: 5vh;
}

/* Small devices (landscape phones, 576px and up)
@media (max-width: 576px) { 

}

Medium devices (tablets, 768px and up) 
 @media (min-width: 768px) { 

} 

 Large devices (desktops, 992px and up) 
 @media (min-width: 992px) { 

} 

 Extra large devices (large desktops, 1200px and up) 
@media (min-width: 1200px) { 

} 

*/

@media (min-width: 992px) {
  .menu-item{
    padding-left: 35px !important;
  }
  
  #sideNav:hover {
    width: 20vw !important;
  }
}

@media (min-width: 1200px) {
  .menu-item {
    padding-left: 35px !important;
  }

  .baseRatePlan {
    width: 60vw !important;
    right: 35% !important;
    padding: 10px;
  }

  .customRatePlan {
    width: 80vw !important;
    right: 20vw !important;
  }

  /* #sideNav:hover {
    width: 15vw !important;
  } */
}

@media (min-width: 992px) {
  .menu-item {
    padding-left: 35px !important;
  }

  .baseRatePlan {
    width: 60vw !important;
    right: 13vw !important;
    padding: 10px;
  }

  .customRatePlan {
    width: 80vw !important;
    right: 20vw !important;
  }
  
}

@keyframes sp-anime {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(359deg);
  }
}
.is-hide {
  display: none;
}

#prefix-item {
  border: 1px solid #F1F1F1 !important;
}

#search-prefix {
  max-height: 300px;
  margin-bottom: 10px;
  overflow:scroll;
  -webkit-overflow-scrolling: touch;
}

.btn-light:disabled {
  background-color: #F46649 !important;
  border-color: #F46649 !important;
}

.disabledStatus {
  background-color: #ff684a !important;
  color:white !important;
}

.fa-stack-2x {
  font-size: 1.5em !important;
}

.active-rates{
  /* background-color: #fff !important; */
  color: #B63330 !important;
  cursor: pointer;
}

.deactive-rates{
  /* background-color: #fff !important; */
  color: white !important;
  cursor: pointer;
}

.deactivate-row {
  background-color: #EA5546 !important;
  color: white !important;
}

.active-icon {
  color: #fff !important;
}

.deactive-icon {
  color: #EA5546 !important;
}